Parsers for several MPEG-TS descriptors

## Files

file | desc_atsc_service_location.h
| Provides the descriptors for ATSC service location.
file | desc_ca.h
| Provides the descriptors for Conditional Access.
file | desc_ca_identifier.h
| Provides the descriptors for the Conditional Access identifier.
file | desc_cable_delivery.h
| Provides the descriptors for the cable delivery system descriptor.
file | desc_event_extended.h
| Provides the descriptors for the extended event descriptor.
file | desc_event_short.h
| Provides the descriptors for the short event descriptor.
file | desc_extension.h
| Provides the descriptors for the extension descriptor.
file | desc_frequency_list.h
| Provides the descriptors for the frequency list descriptor.
file | desc_hierarchy.h
| Provides the descriptors for the hierarchy descriptor.
file | desc_isdbt_delivery.h
| Provides the descriptors for the ISDB-T terrestrial delivery system.
file | desc_language.h
| Provides the descriptors for the ISO639 language descriptor.
file | desc_logical_channel.h
| Provides the descriptors for the LCN - Logican Channel Number.
file | desc_network_name.h
| Provides the descriptors for the network name descriptor.
file | desc_partial_reception.h
| Provides the descriptors for the ISDB partial reception descriptor.
file | desc_registration_id.h
| Provides the descriptors for the registration descriptor.
file | desc_sat.h
| Provides the descriptors for the satellite delivery system descriptor.
file | desc_service.h
| Provides the descriptors for the service descriptor.
file | desc_t2_delivery.h
| Provides the descriptors for the DVB-T2 delivery system descriptor.
file | desc_terrestrial_delivery.h
| Provides the descriptors for the DVB-T terrestrial delivery system descriptor.
file | desc_ts_info.h
| Provides the descriptors for the ISDB TS information descriptor.

## Data Structures

struct | atsc_desc_service_location_elementary
| service location elementary descriptors More...
struct | atsc_desc_service_location
| Describes the elementary streams inside a PAT table for ATSC. More...
struct | dvb_desc_ca
| Contains the private data for Conditional Access. More...
struct | dvb_desc_ca_identifier
| Indicates if a particular bouquet, service or event is associated with a CA system. More...
struct | dvb_desc_cable_delivery
| Structure containing the cable delivery system descriptor. More...
struct | dvb_desc_event_extended
| Structure containing the extended event descriptor. More...
struct | dvb_desc_event_short
| Structure containing the short event descriptor. More...
struct | dvb_extension_descriptor
| Structure containing the extended descriptors. More...
struct | dvb_ext_descriptor
| Structure that describes the parser functions for the extended descriptors. More...
struct | dvb_desc_frequency_list
| Struct containing the frequency list descriptor. More...
struct | dvb_desc_hierarchy
| Structure containing the hierarchy descriptor. More...
struct | isdbt_desc_terrestrial_delivery_system
| Struct containing the ISDB-T terrestrial delivery system. More...
struct | dvb_desc_language
| Structure containing the ISO639 language descriptor. More...
struct | dvb_desc_logical_channel_number
| Structure containing the logical channel number entires. More...
struct | dvb_desc_logical_channel
| Structure containing the logical channel number descriptor. More...
struct | dvb_desc_network_name
| Struct containing the network name descriptor. More...
struct | isdb_partial_reception_service_id
| Service ID that uses partial reception. More...
struct | isdb_desc_partial_reception
| Structure containing the partial reception descriptor. More...
struct | dvb_desc_registration
| Struct containing the frequency list descriptor. More...
struct | dvb_desc_sat
| Structure containing the satellite delivery system descriptor. More...
struct | dvb_desc_service
| Structure containing the service descriptor. More...
struct | dvb_desc_t2_delivery_subcell_old
| Structure to describe transponder subcell extension and frequencies. More...
struct | dvb_desc_t2_delivery_subcell
| Structure to describe transponder subcell extension and frequencies. More...
struct | dvb_desc_t2_delivery_cell
| Structure to describe transponder cells. More...
struct | dvb_desc_t2_delivery
| Structure containing the T2 delivery system descriptor. More...
struct | dvb_desc_terrestrial_delivery
| Structure containing the DVB-T terrestrial delivery system descriptor. More...
struct | dvb_desc_ts_info_transmission_type
| ISDB TS information transmission type. More...
struct | dvb_desc_ts_info
| Structure describing the ISDB TS information descriptor. More...

## Enumerations

enum | extension_descriptors { image_icon_descriptor , cpcm_delivery_signalling_descriptor , CP_descriptor , CP_identifier_descriptor , T2_delivery_system_descriptor , SH_delivery_system_descriptor , supplementary_audio_descriptor , network_change_notify_descriptor , message_descriptor , target_region_descriptor , target_region_name_descriptor , service_relocated_descriptor }
| List containing all extended descriptors used by Digital TV MPEG-TS as defined at ETSI EN 300 468 V1.11.1. More...

## Functions

int | atsc_desc_service_location_init (struct dvb_v5_fe_parms *parms, const uint8_t *buf, struct dvb_desc *desc)
| Initializes and parses the service location descriptor.
void | atsc_desc_service_location_print (struct dvb_v5_fe_parms *parms, const struct dvb_desc *desc)
| Prints the content of the service location descriptor.
void | atsc_desc_service_location_free (struct dvb_desc *desc)
| Frees all data allocated by the service location descriptor.
int | dvb_desc_ca_init (struct dvb_v5_fe_parms *parms, const uint8_t *buf, struct dvb_desc *desc)
| Initializes and parses the CA descriptor.
void | dvb_desc_ca_print (struct dvb_v5_fe_parms *parms, const struct dvb_desc *desc)
| Prints the content of the CA descriptor.
void | dvb_desc_ca_free (struct dvb_desc *desc)
| Frees all data allocated by the CA descriptor.
int | dvb_desc_ca_identifier_init (struct dvb_v5_fe_parms *parms, const uint8_t *buf, struct dvb_desc *desc)
| Initializes and parses the CA identifier descriptor.
void | dvb_desc_ca_identifier_print (struct dvb_v5_fe_parms *parms, const struct dvb_desc *desc)
| Prints the content of the CA identifier descriptor.
void | dvb_desc_ca_identifier_free (struct dvb_desc *desc)
| Frees all data allocated by the CA identifier descriptor.
int | dvb_desc_cable_delivery_init (struct dvb_v5_fe_parms *parms, const uint8_t *buf, struct dvb_desc *desc)
| Initializes and parses the service location descriptor.
void | dvb_desc_cable_delivery_print (struct dvb_v5_fe_parms *parms, const struct dvb_desc *desc)
| Prints the content of the service location descriptor.
int | dvb_desc_event_extended_init (struct dvb_v5_fe_parms *parms, const uint8_t *buf, struct dvb_desc *desc)
| Initializes and parses the extended event descriptor.
void | dvb_desc_event_extended_print (struct dvb_v5_fe_parms *parms, const struct dvb_desc *desc)
| Prints the content of the extended event descriptor.
void | dvb_desc_event_extended_free (struct dvb_desc *desc)
| Frees all data allocated by the extended event descriptor.
int | dvb_desc_event_short_init (struct dvb_v5_fe_parms *parms, const uint8_t *buf, struct dvb_desc *desc)
| Initializes and parses the short event descriptor.
void | dvb_desc_event_short_print (struct dvb_v5_fe_parms *parms, const struct dvb_desc *desc)
| Prints the content of the short event descriptor.
void | dvb_desc_event_short_free (struct dvb_desc *desc)
| Frees all data allocated by the short event descriptor.
int | dvb_extension_descriptor_init (struct dvb_v5_fe_parms *parms, const uint8_t *buf, struct dvb_desc *desc)
| Initializes and parses the extended descriptor.
void | dvb_extension_descriptor_print (struct dvb_v5_fe_parms *parms, const struct dvb_desc *desc)
| Prints the content of the extended descriptor.
void | dvb_extension_descriptor_free (struct dvb_desc *desc)
| Frees all data allocated by the extended descriptor.
int | dvb_desc_frequency_list_init (struct dvb_v5_fe_parms *parms, const uint8_t *buf, struct dvb_desc *desc)
| Initializes and parses the frequency list descriptor.
void | dvb_desc_frequency_list_print (struct dvb_v5_fe_parms *parms, const struct dvb_desc *desc)
| Prints the content of the frequency list descriptor.
int | dvb_desc_hierarchy_init (struct dvb_v5_fe_parms *parms, const uint8_t *buf, struct dvb_desc *desc)
| Initializes and parses the hierarchy descriptor.
void | dvb_desc_hierarchy_print (struct dvb_v5_fe_parms *parms, const struct dvb_desc *desc)
| Prints the content of the hierarchy descriptor.
int | isdbt_desc_delivery_init (struct dvb_v5_fe_parms *parms, const uint8_t *buf, struct dvb_desc *desc)
| Initializes and parses the ISDB-T terrestrial delivery system descriptor.
void | isdbt_desc_delivery_print (struct dvb_v5_fe_parms *parms, const struct dvb_desc *desc)
| Prints the content of the ISDB-T terrestrial delivery system descriptor.
void | isdbt_desc_delivery_free (struct dvb_desc *desc)
| Frees all data allocated by the ISDB-T terrestrial delivery system descriptor.
int | dvb_desc_language_init (struct dvb_v5_fe_parms *parms, const uint8_t *buf, struct dvb_desc *desc)
| Initializes and parses the language descriptor.
void | dvb_desc_language_print (struct dvb_v5_fe_parms *parms, const struct dvb_desc *desc)
| Prints the content of the language descriptor.
int | dvb_desc_logical_channel_init (struct dvb_v5_fe_parms *parms, const uint8_t *buf, struct dvb_desc *desc)
| Initializes and parses the logical channel number descriptor.
void | dvb_desc_logical_channel_print (struct dvb_v5_fe_parms *parms, const struct dvb_desc *desc)
| Prints the content of the logical channel number descriptor.
void | dvb_desc_logical_channel_free (struct dvb_desc *desc)
| Frees all data allocated by the logical channel number descriptor.
int | dvb_desc_network_name_init (struct dvb_v5_fe_parms *parms, const uint8_t *buf, struct dvb_desc *desc)
| Initializes and parses the network name descriptor.
void | dvb_desc_network_name_print (struct dvb_v5_fe_parms *parms, const struct dvb_desc *desc)
| Prints the content of the network name descriptor.
void | dvb_desc_network_name_free (struct dvb_desc *desc)
| Frees all data allocated by the network name descriptor.
int | isdb_desc_partial_reception_init (struct dvb_v5_fe_parms *parms, const uint8_t *buf, struct dvb_desc *desc)
| Initializes and parses the ISDB-T partial reception descriptor.
void | isdb_desc_partial_reception_print (struct dvb_v5_fe_parms *parms, const struct dvb_desc *desc)
| Prints the content of the ISDB-T partial reception descriptor.
void | isdb_desc_partial_reception_free (struct dvb_desc *desc)
| Frees all data allocated by the ISDB-T partial reception descriptor.
int | dvb_desc_registration_init (struct dvb_v5_fe_parms *parms, const uint8_t *buf, struct dvb_desc *desc)
| Initializes and parses the registration descriptor.
void | dvb_desc_registration_print (struct dvb_v5_fe_parms *parms, const struct dvb_desc *desc)
| Prints the content of the registration descriptor.
void | dvb_desc_registration_free (struct dvb_desc *desc)
| Frees all data allocated by the registration descriptor.
int | dvb_desc_sat_init (struct dvb_v5_fe_parms *parms, const uint8_t *buf, struct dvb_desc *desc)
| Initializes and parses the satellite delivery system descriptor.
void | dvb_desc_sat_print (struct dvb_v5_fe_parms *parms, const struct dvb_desc *desc)
| Prints the content of the satellite delivery system descriptor.
int | dvb_desc_service_init (struct dvb_v5_fe_parms *parms, const uint8_t *buf, struct dvb_desc *desc)
| Initializes and parses the service descriptor.
void | dvb_desc_service_print (struct dvb_v5_fe_parms *parms, const struct dvb_desc *desc)
| Prints the content of the service descriptor.
void | dvb_desc_service_free (struct dvb_desc *desc)
| Frees all data allocated by the service descriptor.
int | dvb_desc_t2_delivery_init (struct dvb_v5_fe_parms *parms, const uint8_t *buf, struct dvb_extension_descriptor *ext, void *desc)
| Initializes and parses the T2 delivery system descriptor.
void | dvb_desc_t2_delivery_print (struct dvb_v5_fe_parms *parms, const struct dvb_extension_descriptor *ext, const void *desc)
| Prints the content of the T2 delivery system descriptor.
void | dvb_desc_t2_delivery_free (const void *desc)
| Frees all data allocated by the T2 delivery system descriptor.
void | dvb_desc_terrestrial_delivery_print (struct dvb_v5_fe_parms *parms, const struct dvb_desc *desc)
| Prints the content of the DVB-T terrestrial delivery system descriptor.
int | dvb_desc_ts_info_init (struct dvb_v5_fe_parms *parms, const uint8_t *buf, struct dvb_desc *desc)
| Initializes and parses the ISDB TS information descriptor.
void | dvb_desc_ts_info_print (struct dvb_v5_fe_parms *parms, const struct dvb_desc *desc)
| Prints the content of the ISDB TS information descriptor.
void | dvb_desc_ts_info_free (struct dvb_desc *desc)
| Frees all data allocated by the ISDB TS information descriptor.

## Detailed Description

## Enumeration Type Documentation

## extension_descriptors

enum extension_descriptors

List containing all extended descriptors used by Digital TV MPEG-TS as defined at ETSI EN 300 468 V1.11.1.

Enumerator
image_icon_descriptor | image icon descriptor
cpcm_delivery_signalling_descriptor | Content Protection/Copy Management (CPCM) delivery signalling descriptor.
CP_descriptor | Content Protection descriptor.
CP_identifier_descriptor | Content Protection identifier descriptor.
T2_delivery_system_descriptor | DVB-T2 delivery system descriptor.
SH_delivery_system_descriptor | DVB-SH delivery system descriptor.
supplementary_audio_descriptor | supplementary audio descriptor
network_change_notify_descriptor | network change notify descriptor
message_descriptor | message descriptor
target_region_descriptor | target region descriptor
target_region_name_descriptor | target region name descriptor
service_relocated_descriptor | service relocated descriptor

Definition at line 89 of file desc_extension.h.

## Function Documentation

## atsc_desc_service_location_free()

void atsc_desc_service_location_free | ( | struct dvb_desc * | desc | ) |

Frees all data allocated by the service location descriptor.

Parameters

  desc | pointer to struct dvb_desc to be freed

## atsc_desc_service_location_init()

int atsc_desc_service_location_init | ( | struct dvb_v5_fe_parms * | parms,
|  | const uint8_t * | buf,
|  | struct dvb_desc * | desc )

Initializes and parses the service location descriptor.

Parameters

  parms | struct dvb_v5_fe_parms pointer to the opened device
  buf | buffer containing the descriptor's raw data
  desc | pointer to struct dvb_desc to be allocated and filled

This function allocates a the descriptor and fills the fields inside the struct. It also makes sure that all fields will follow the CPU endianness. Due to that, the content of the buffer may change.

Returns
  On success, it returns the size of the allocated struct. A negative value indicates an error.

## atsc_desc_service_location_print()

void atsc_desc_service_location_print | ( | struct dvb_v5_fe_parms * | parms,
|  | const struct dvb_desc * | desc )

Prints the content of the service location descriptor.

Parameters

  parms | struct dvb_v5_fe_parms pointer to the opened device
  desc | pointer to struct dvb_desc

## dvb_desc_ca_free()

void dvb_desc_ca_free | ( | struct dvb_desc * | desc | ) |

Frees all data allocated by the CA descriptor.

Parameters

  desc | pointer to struct dvb_desc to be freed

## dvb_desc_ca_identifier_free()

void dvb_desc_ca_identifier_free | ( | struct dvb_desc * | desc | ) |

Frees all data allocated by the CA identifier descriptor.

Parameters

  desc | pointer to struct dvb_desc to be freed

## dvb_desc_ca_identifier_init()

int dvb_desc_ca_identifier_init | ( | struct dvb_v5_fe_parms * | parms,
|  | const uint8_t * | buf,
|  | struct dvb_desc * | desc )

Initializes and parses the CA identifier descriptor.

Parameters

  parms | struct dvb_v5_fe_parms pointer to the opened device
  buf | buffer containing the descriptor's raw data
  desc | pointer to struct dvb_desc to be allocated and filled

This function allocates a the descriptor and fills the fields inside the struct. It also makes sure that all fields will follow the CPU endianness. Due to that, the content of the buffer may change.

Returns
  On success, it returns the size of the allocated struct. A negative value indicates an error.

## dvb_desc_ca_identifier_print()

void dvb_desc_ca_identifier_print | ( | struct dvb_v5_fe_parms * | parms,
|  | const struct dvb_desc * | desc )

Prints the content of the CA identifier descriptor.

Parameters

  parms | struct dvb_v5_fe_parms pointer to the opened device
  desc | pointer to struct dvb_desc

## dvb_desc_ca_init()

int dvb_desc_ca_init | ( | struct dvb_v5_fe_parms * | parms,
|  | const uint8_t * | buf,
|  | struct dvb_desc * | desc )

Initializes and parses the CA descriptor.

Parameters

  parms | struct dvb_v5_fe_parms pointer to the opened device
  buf | buffer containing the descriptor's raw data
  desc | pointer to struct dvb_desc to be allocated and filled

This function allocates a the descriptor and fills the fields inside the struct. It also makes sure that all fields will follow the CPU endianness. Due to that, the content of the buffer may change.

Returns
  On success, it returns the size of the allocated struct. A negative value indicates an error.

## dvb_desc_ca_print()

void dvb_desc_ca_print | ( | struct dvb_v5_fe_parms * | parms,
|  | const struct dvb_desc * | desc )

Prints the content of the CA descriptor.

Parameters

  parms | struct dvb_v5_fe_parms pointer to the opened device
  desc | pointer to struct dvb_desc

## dvb_desc_cable_delivery_init()

int dvb_desc_cable_delivery_init | ( | struct dvb_v5_fe_parms * | parms,
|  | const uint8_t * | buf,
|  | struct dvb_desc * | desc )

Initializes and parses the service location descriptor.

Parameters

  parms | struct dvb_v5_fe_parms pointer to the opened device
  buf | buffer containing the descriptor's raw data
  desc | pointer to struct dvb_desc to be allocated and filled

This function initializes and makes sure that all fields will follow the CPU endianness. Due to that, the content of the buffer may change.

Currently, no memory is allocated internally.

Returns
  On success, it returns the size of the allocated struct. A negative value indicates an error.

## dvb_desc_cable_delivery_print()

void dvb_desc_cable_delivery_print | ( | struct dvb_v5_fe_parms * | parms,
|  | const struct dvb_desc * | desc )

Prints the content of the service location descriptor.

Parameters

  parms | struct dvb_v5_fe_parms pointer to the opened device
  desc | pointer to struct dvb_desc

References dvbc_fec_table, and dvbc_modulation_table.

## dvb_desc_event_extended_free()

void dvb_desc_event_extended_free | ( | struct dvb_desc * | desc | ) |

Frees all data allocated by the extended event descriptor.

Parameters

  desc | pointer to struct dvb_desc to be freed

## dvb_desc_event_extended_init()

int dvb_desc_event_extended_init | ( | struct dvb_v5_fe_parms * | parms,
|  | const uint8_t * | buf,
|  | struct dvb_desc * | desc )

Initializes and parses the extended event descriptor.

Parameters

  parms | struct dvb_v5_fe_parms pointer to the opened device
  buf | buffer containing the descriptor's raw data
  desc | pointer to struct dvb_desc to be allocated and filled

This function allocates a the descriptor and fills the fields inside the struct. It also makes sure that all fields will follow the CPU endianness. Due to that, the content of the buffer may change.

Returns
  On success, it returns the size of the allocated struct. A negative value indicates an error.

## dvb_desc_event_extended_print()

void dvb_desc_event_extended_print | ( | struct dvb_v5_fe_parms * | parms,
|  | const struct dvb_desc * | desc )

Prints the content of the extended event descriptor.

Parameters

  parms | struct dvb_v5_fe_parms pointer to the opened device
  desc | pointer to struct dvb_desc

## dvb_desc_event_short_free()

void dvb_desc_event_short_free | ( | struct dvb_desc * | desc | ) |

Frees all data allocated by the short event descriptor.

Parameters

  desc | pointer to struct dvb_desc to be freed

## dvb_desc_event_short_init()

int dvb_desc_event_short_init | ( | struct dvb_v5_fe_parms * | parms,
|  | const uint8_t * | buf,
|  | struct dvb_desc * | desc )

Initializes and parses the short event descriptor.

Parameters

  parms | struct dvb_v5_fe_parms pointer to the opened device
  buf | buffer containing the descriptor's raw data
  desc | pointer to struct dvb_desc to be allocated and filled

This function allocates a the descriptor and fills the fields inside the struct. It also makes sure that all fields will follow the CPU endianness. Due to that, the content of the buffer may change.

Returns
  On success, it returns the size of the allocated struct. A negative value indicates an error.

## dvb_desc_event_short_print()

void dvb_desc_event_short_print | ( | struct dvb_v5_fe_parms * | parms,
|  | const struct dvb_desc * | desc )

Prints the content of the short event descriptor.

Parameters

  parms | struct dvb_v5_fe_parms pointer to the opened device
  desc | pointer to struct dvb_desc

## dvb_desc_frequency_list_init()

int dvb_desc_frequency_list_init | ( | struct dvb_v5_fe_parms * | parms,
|  | const uint8_t * | buf,
|  | struct dvb_desc * | desc )

Initializes and parses the frequency list descriptor.

Parameters

  parms | struct dvb_v5_fe_parms pointer to the opened device
  buf | buffer containing the descriptor's raw data
  desc | pointer to struct dvb_desc to be allocated and filled

This function initializes and makes sure that all fields will follow the CPU endianness. Due to that, the content of the buffer may change.

Currently, no memory is allocated internally.

Returns
  On success, it returns the size of the allocated struct. A negative value indicates an error.

## dvb_desc_frequency_list_print()

void dvb_desc_frequency_list_print | ( | struct dvb_v5_fe_parms * | parms,
|  | const struct dvb_desc * | desc )

Prints the content of the frequency list descriptor.

Parameters

  parms | struct dvb_v5_fe_parms pointer to the opened device
  desc | pointer to struct dvb_desc

## dvb_desc_hierarchy_init()

int dvb_desc_hierarchy_init | ( | struct dvb_v5_fe_parms * | parms,
|  | const uint8_t * | buf,
|  | struct dvb_desc * | desc )

Initializes and parses the hierarchy descriptor.

Parameters

  parms | struct dvb_v5_fe_parms pointer to the opened device
  buf | buffer containing the descriptor's raw data
  desc | pointer to struct dvb_desc to be allocated and filled

This function initializes and makes sure that all fields will follow the CPU endianness. Due to that, the content of the buffer may change.

Currently, no memory is allocated internally.

Returns
  On success, it returns the size of the allocated struct. A negative value indicates an error.

## dvb_desc_hierarchy_print()

void dvb_desc_hierarchy_print | ( | struct dvb_v5_fe_parms * | parms,
|  | const struct dvb_desc * | desc )

Prints the content of the hierarchy descriptor.

Parameters

  parms | struct dvb_v5_fe_parms pointer to the opened device
  desc | pointer to struct dvb_desc

## dvb_desc_language_init()

int dvb_desc_language_init | ( | struct dvb_v5_fe_parms * | parms,
|  | const uint8_t * | buf,
|  | struct dvb_desc * | desc )

Initializes and parses the language descriptor.

Parameters

  parms | struct dvb_v5_fe_parms pointer to the opened device
  buf | buffer containing the descriptor's raw data
  desc | pointer to struct dvb_desc to be allocated and filled

This function initializes and makes sure that all fields will follow the CPU endianness. Due to that, the content of the buffer may change.

Currently, no memory is allocated internally.

Returns
  On success, it returns the size of the allocated struct. A negative value indicates an error.

## dvb_desc_language_print()

void dvb_desc_language_print | ( | struct dvb_v5_fe_parms * | parms,
|  | const struct dvb_desc * | desc )

Prints the content of the language descriptor.

Parameters

  parms | struct dvb_v5_fe_parms pointer to the opened device
  desc | pointer to struct dvb_desc

## dvb_desc_logical_channel_free()

void dvb_desc_logical_channel_free | ( | struct dvb_desc * | desc | ) |

Frees all data allocated by the logical channel number descriptor.

Parameters

  desc | pointer to struct dvb_desc to be freed

## dvb_desc_logical_channel_init()

int dvb_desc_logical_channel_init | ( | struct dvb_v5_fe_parms * | parms,
|  | const uint8_t * | buf,
|  | struct dvb_desc * | desc )

Initializes and parses the logical channel number descriptor.

Parameters

  parms | struct dvb_v5_fe_parms pointer to the opened device
  buf | buffer containing the descriptor's raw data
  desc | pointer to struct dvb_desc to be allocated and filled

This function allocates a the descriptor and fills the fields inside the struct. It also makes sure that all fields will follow the CPU endianness. Due to that, the content of the buffer may change.

Returns
  On success, it returns the size of the allocated struct. A negative value indicates an error.

## dvb_desc_logical_channel_print()

void dvb_desc_logical_channel_print | ( | struct dvb_v5_fe_parms * | parms,
|  | const struct dvb_desc * | desc )

Prints the content of the logical channel number descriptor.

Parameters

  parms | struct dvb_v5_fe_parms pointer to the opened device
  desc | pointer to struct dvb_desc

## dvb_desc_network_name_free()

void dvb_desc_network_name_free | ( | struct dvb_desc * | desc | ) |

Frees all data allocated by the network name descriptor.

Parameters

  desc | pointer to struct dvb_desc to be freed

## dvb_desc_network_name_init()

int dvb_desc_network_name_init | ( | struct dvb_v5_fe_parms * | parms,
|  | const uint8_t * | buf,
|  | struct dvb_desc * | desc )

Initializes and parses the network name descriptor.

Parameters

  parms | struct dvb_v5_fe_parms pointer to the opened device
  buf | buffer containing the descriptor's raw data
  desc | pointer to struct dvb_desc to be allocated and filled

This function allocates a the descriptor and fills the fields inside the struct. It also makes sure that all fields will follow the CPU endianness. Due to that, the content of the buffer may change.

Returns
  On success, it returns the size of the allocated struct. A negative value indicates an error.

## dvb_desc_network_name_print()

void dvb_desc_network_name_print | ( | struct dvb_v5_fe_parms * | parms,
|  | const struct dvb_desc * | desc )

Prints the content of the network name descriptor.

Parameters

  parms | struct dvb_v5_fe_parms pointer to the opened device
  desc | pointer to struct dvb_desc

## dvb_desc_registration_free()

void dvb_desc_registration_free | ( | struct dvb_desc * | desc | ) |

Frees all data allocated by the registration descriptor.

Parameters

  desc | pointer to struct dvb_desc to be freed

## dvb_desc_registration_init()

int dvb_desc_registration_init | ( | struct dvb_v5_fe_parms * | parms,
|  | const uint8_t * | buf,
|  | struct dvb_desc * | desc )

Initializes and parses the registration descriptor.

Parameters

  parms | struct dvb_v5_fe_parms pointer to the opened device
  buf | buffer containing the descriptor's raw data
  desc | pointer to struct dvb_desc to be allocated and filled

This function initializes and makes sure that all fields will follow the CPU endianness. Due to that, the content of the buffer may change.

Currently, no memory is allocated internally.

Returns
  On success, it returns the size of the allocated struct. A negative value indicates an error.

## dvb_desc_registration_print()

void dvb_desc_registration_print | ( | struct dvb_v5_fe_parms * | parms,
|  | const struct dvb_desc * | desc )

Prints the content of the registration descriptor.

Parameters

  parms | struct dvb_v5_fe_parms pointer to the opened device
  desc | pointer to struct dvb_desc

## dvb_desc_sat_init()

int dvb_desc_sat_init | ( | struct dvb_v5_fe_parms * | parms,
|  | const uint8_t * | buf,
|  | struct dvb_desc * | desc )

Initializes and parses the satellite delivery system descriptor.

Parameters

  parms | struct dvb_v5_fe_parms pointer to the opened device
  buf | buffer containing the descriptor's raw data
  desc | pointer to struct dvb_desc to be allocated and filled

This function initializes and makes sure that all fields will follow the CPU endianness. Due to that, the content of the buffer may change.

Currently, no memory is allocated internally.

Returns
  On success, it returns the size of the allocated struct. A negative value indicates an error.

## dvb_desc_sat_print()

void dvb_desc_sat_print | ( | struct dvb_v5_fe_parms * | parms,
|  | const struct dvb_desc * | desc )

Prints the content of the satellite delivery system descriptor.

Parameters

  parms | struct dvb_v5_fe_parms pointer to the opened device
  desc | pointer to struct dvb_desc

References dvbs_dvbc_dvbs_freq_inner, dvbs_modulation, dvbs_polarization, and dvbs_rolloff.

## dvb_desc_service_free()

void dvb_desc_service_free | ( | struct dvb_desc * | desc | ) |

Frees all data allocated by the service descriptor.

Parameters

  desc | pointer to struct dvb_desc to be freed

## dvb_desc_service_init()

int dvb_desc_service_init | ( | struct dvb_v5_fe_parms * | parms,
|  | const uint8_t * | buf,
|  | struct dvb_desc * | desc )

Initializes and parses the service descriptor.

Parameters

  parms | struct dvb_v5_fe_parms pointer to the opened device
  buf | buffer containing the descriptor's raw data
  desc | pointer to struct dvb_desc to be allocated and filled

This function allocates a the descriptor and fills the fields inside the struct. It also makes sure that all fields will follow the CPU endianness. Due to that, the content of the buffer may change.

Returns
  On success, it returns the size of the allocated struct. A negative value indicates an error.

## dvb_desc_service_print()

void dvb_desc_service_print | ( | struct dvb_v5_fe_parms * | parms,
|  | const struct dvb_desc * | desc )

Prints the content of the service descriptor.

Parameters

  parms | struct dvb_v5_fe_parms pointer to the opened device
  desc | pointer to struct dvb_desc

## dvb_desc_t2_delivery_free()

void dvb_desc_t2_delivery_free | ( | const void * | desc | ) |

Frees all data allocated by the T2 delivery system descriptor.

Parameters

  desc | pointer to struct dvb_desc to be freed

References dvbt2_bw, dvbt2_interval, dvbt2_transmission_mode, and siso_miso.

## dvb_desc_t2_delivery_init()

int dvb_desc_t2_delivery_init | ( | struct dvb_v5_fe_parms * | parms,
|  | const uint8_t * | buf,
|  | struct dvb_extension_descriptor * | ext,
|  | void * | desc )

Initializes and parses the T2 delivery system descriptor.

Parameters

  parms | struct dvb_v5_fe_parms pointer to the opened device
  buf | buffer containing the descriptor's raw data
  ext | struct dvb_extension_descriptor pointer
  desc | pointer to struct dvb_desc to be allocated and filled

This function allocates a the descriptor and fills the fields inside the struct. It also makes sure that all fields will follow the CPU endianness. Due to that, the content of the buffer may change.

Returns
  On success, it returns the size of the allocated struct. A negative value indicates an error.

## dvb_desc_t2_delivery_print()

void dvb_desc_t2_delivery_print | ( | struct dvb_v5_fe_parms * | parms,
|  | const struct dvb_extension_descriptor * | ext,
|  | const void * | desc )

Prints the content of the T2 delivery system descriptor.

Parameters

  parms | struct dvb_v5_fe_parms pointer to the opened device
  ext | struct dvb_extension_descriptor pointer
  desc | pointer to struct dvb_desc

## dvb_desc_terrestrial_delivery_print()

void dvb_desc_terrestrial_delivery_print | ( | struct dvb_v5_fe_parms * | parms,
|  | const struct dvb_desc * | desc )

Prints the content of the DVB-T terrestrial delivery system descriptor.

Parameters

  parms | struct dvb_v5_fe_parms pointer to the opened device
  desc | pointer to struct dvb_desc

References dvbt_bw, dvbt_code_rate, dvbt_hierarchy, dvbt_interval, dvbt_modulation, and dvbt_transmission_mode.

## dvb_desc_ts_info_free()

void dvb_desc_ts_info_free | ( | struct dvb_desc * | desc | ) |

Frees all data allocated by the ISDB TS information descriptor.

descriptor

Parameters

  desc | pointer to struct dvb_desc to be freed

## dvb_desc_ts_info_init()

int dvb_desc_ts_info_init | ( | struct dvb_v5_fe_parms * | parms,
|  | const uint8_t * | buf,
|  | struct dvb_desc * | desc )

Initializes and parses the ISDB TS information descriptor.

descriptor

Parameters

  parms | struct dvb_v5_fe_parms pointer to the opened device
  buf | buffer containing the descriptor's raw data
  desc | pointer to struct dvb_desc to be allocated and filled

This function allocates a the descriptor and fills the fields inside the struct. It also makes sure that all fields will follow the CPU endianness. Due to that, the content of the buffer may change.

Returns
  On success, it returns the size of the allocated struct. A negative value indicates an error.

## dvb_desc_ts_info_print()

void dvb_desc_ts_info_print | ( | struct dvb_v5_fe_parms * | parms,
|  | const struct dvb_desc * | desc )

Prints the content of the ISDB TS information descriptor.

descriptor

Parameters

  parms | struct dvb_v5_fe_parms pointer to the opened device
  desc | pointer to struct dvb_desc

## dvb_extension_descriptor_free()

void dvb_extension_descriptor_free | ( | struct dvb_desc * | desc | ) |

Frees all data allocated by the extended descriptor.

Parameters

  desc | pointer to struct dvb_desc to be freed

## dvb_extension_descriptor_init()

int dvb_extension_descriptor_init | ( | struct dvb_v5_fe_parms * | parms,
|  | const uint8_t * | buf,
|  | struct dvb_desc * | desc )

Initializes and parses the extended descriptor.

Parameters

  parms | struct dvb_v5_fe_parms pointer to the opened device
  buf | buffer containing the descriptor's raw data
  desc | pointer to struct dvb_desc to be allocated and filled

This function allocates a the descriptor and fills the fields inside the struct. It also makes sure that all fields will follow the CPU endianness. Due to that, the content of the buffer may change.

Returns
  On success, it returns the size of the allocated struct. A negative value indicates an error.

## dvb_extension_descriptor_print()

void dvb_extension_descriptor_print | ( | struct dvb_v5_fe_parms * | parms,
|  | const struct dvb_desc * | desc )

Prints the content of the extended descriptor.

Parameters

  parms | struct dvb_v5_fe_parms pointer to the opened device
  desc | pointer to struct dvb_desc

## isdb_desc_partial_reception_free()

void isdb_desc_partial_reception_free | ( | struct dvb_desc * | desc | ) |

Frees all data allocated by the ISDB-T partial reception descriptor.

Parameters

  desc | pointer to struct dvb_desc to be freed

## isdb_desc_partial_reception_init()

int isdb_desc_partial_reception_init | ( | struct dvb_v5_fe_parms * | parms,
|  | const uint8_t * | buf,
|  | struct dvb_desc * | desc )

Initializes and parses the ISDB-T partial reception descriptor.

Parameters

  parms | struct dvb_v5_fe_parms pointer to the opened device
  buf | buffer containing the descriptor's raw data
  desc | pointer to struct dvb_desc to be allocated and filled

This function allocates a the descriptor and fills the fields inside the struct. It also makes sure that all fields will follow the CPU endianness. Due to that, the content of the buffer may change.

Returns
  On success, it returns the size of the allocated struct. A negative value indicates an error.

## isdb_desc_partial_reception_print()

void isdb_desc_partial_reception_print | ( | struct dvb_v5_fe_parms * | parms,
|  | const struct dvb_desc * | desc )

Prints the content of the ISDB-T partial reception descriptor.

Parameters

  parms | struct dvb_v5_fe_parms pointer to the opened device
  desc | pointer to struct dvb_desc

## isdbt_desc_delivery_free()

void isdbt_desc_delivery_free | ( | struct dvb_desc * | desc | ) |

Frees all data allocated by the ISDB-T terrestrial delivery system descriptor.

Parameters

  desc | pointer to struct dvb_desc to be freed

References isdbt_interval, and isdbt_mode.

## isdbt_desc_delivery_init()

int isdbt_desc_delivery_init | ( | struct dvb_v5_fe_parms * | parms,
|  | const uint8_t * | buf,
|  | struct dvb_desc * | desc )

Initializes and parses the ISDB-T terrestrial delivery system descriptor.

Parameters

  parms | struct dvb_v5_fe_parms pointer to the opened device
  buf | buffer containing the descriptor's raw data
  desc | pointer to struct dvb_desc to be allocated and filled

This function allocates a the descriptor and fills the fields inside the struct. It also makes sure that all fields will follow the CPU endianness. Due to that, the content of the buffer may change.

Returns
  On success, it returns the size of the allocated struct. A negative value indicates an error.

## isdbt_desc_delivery_print()

void isdbt_desc_delivery_print | ( | struct dvb_v5_fe_parms * | parms,
|  | const struct dvb_desc * | desc )

Prints the content of the ISDB-T terrestrial delivery system descriptor.

Parameters

  parms | struct dvb_v5_fe_parms pointer to the opened device
  desc | pointer to struct dvb_desc